<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigurationDB: fwConfigurationDB_DBAccess.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwConfigurationDB__DBAccess_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">fwConfigurationDB_DBAccess.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Database Access functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>These functions are used in context of database access </p>
</div></td></tr>
<tr class="memitem:gaa774a38a10057c6868ac34c1775e7aa4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__DBAccessFunctions.html#gaa774a38a10057c6868ac34c1775e7aa4">fwConfigurationDB_openDBConnection</a> (string dbConnectionName, dbConnection &amp;dbCon, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaa774a38a10057c6868ac34c1775e7aa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7717f8374913534d575dd6d6a620481a"><td class="memItemLeft" align="right" valign="top">
string&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_checkSchemaPrivileges</b> (dbConnection dbCon, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga7717f8374913534d575dd6d6a620481a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc525e6526fc87cc3fb0e8ba7852d567"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_checkOpenDB</b> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gacc525e6526fc87cc3fb0e8ba7852d567"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga01ba5ce070fc63550f82a9a5c65ced03"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_initializeQuery</b> (string sql, dbConnection conn, dbCommand &amp;dbCmd, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga01ba5ce070fc63550f82a9a5c65ced03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c6a64a913b93590ac48b5cb98bc1cdd"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_initializeQueryWithParams</b> (string sql, dbConnection conn, mixed bindParams, dbCommand &amp;dbCmd, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga4c6a64a913b93590ac48b5cb98bc1cdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f55143cf545144c1ecbf18743894dc6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__DBAccessFunctions.html#ga3f55143cf545144c1ecbf18743894dc6">fwConfigurationDB_fetchQuery</a> (dbCommand &amp;dbCmd, dyn_dyn_mixed &amp;aRecords, dyn_string &amp;exceptionInfo, int maxRecords=0, bool columnWise=FALSE, bool closeOnNoMoreData=TRUE, dyn_int colTypes=0, int numCol=999)</td></tr>
<tr class="separator:ga3f55143cf545144c1ecbf18743894dc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga24c9a766b85431f11b2611f2e90b0ef4"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_executeDBQuery</b> (string sql, dbConnection conn, dyn_dyn_mixed &amp;aRecords, dyn_string &amp;exceptionInfo, int numCol=999, bool columnWise=FALSE, dyn_int colTypes=0)</td></tr>
<tr class="separator:ga24c9a766b85431f11b2611f2e90b0ef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaccc070d2da1349d72ad2128732b51496"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_executeDBQueryWithParams</b> (string sql, dbConnection conn, anytype bindParams, dyn_dyn_mixed &amp;aRecords, dyn_string &amp;exceptionInfo, int numCol=999, bool columnWise=FALSE, dyn_int colTypes=0)</td></tr>
<tr class="separator:gaccc070d2da1349d72ad2128732b51496"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga26f0c9519d2bff2a048693a66263214c"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_executeDBBulkCmd</b> (string sql, dbConnection conn, dyn_dyn_mixed data, dyn_string &amp;exceptionInfo, bool columnWise=FALSE, dyn_int colTypes=0)</td></tr>
<tr class="separator:ga26f0c9519d2bff2a048693a66263214c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab11c3ff781fe47c2fc7d8a4cdec111f1"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_executeDBCmd</b> (string sql, dbConnection conn, anytype params, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gab11c3ff781fe47c2fc7d8a4cdec111f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae27fea4ec705938bddd7d9016cebca80"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_executeSqlSimple</b> (string sql, dbConnection connection, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gae27fea4ec705938bddd7d9016cebca80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc0cca35db17ec37d1dc7b7fbd5fc9f4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__DBAccessFunctions.html#gafc0cca35db17ec37d1dc7b7fbd5fc9f4">_fwConfigurationDB_hasKeywords</a> (string src, string keywords)</td></tr>
<tr class="separator:gafc0cca35db17ec37d1dc7b7fbd5fc9f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0010eb1194d075d764e41a87641fd4a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__DBAccessFunctions.html#ga0010eb1194d075d764e41a87641fd4a4">_fwConfigurationDB_executeSqlFromFile</a> (dbConnection dbCon, string fileName, string whatItIs, dyn_string &amp;exceptionInfo, bool breakOnDbError=TRUE)</td></tr>
<tr class="separator:ga0010eb1194d075d764e41a87641fd4a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Error Codes in DBAccess package</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>see also <a class="el" href="group__ErrorCodes.html">Error Codes overview</a> module. </p>
</div></td></tr>
<tr class="memitem:aea538d6ed5bfe0143e6cf0b623cc842e"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__DBAccess_8ctl.html#aea538d6ed5bfe0143e6cf0b623cc842e">fwConfigurationDB_ERROR_DBNoConnection</a> = -162</td></tr>
<tr class="separator:aea538d6ed5bfe0143e6cf0b623cc842e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This package contains database access functions of the Configuration Database tool</p>
<p>(c) Copyright CERN, All Rights Reserved </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a id="aea538d6ed5bfe0143e6cf0b623cc842e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea538d6ed5bfe0143e6cf0b623cc842e">&#9670;&nbsp;</a></span>fwConfigurationDB_ERROR_DBNoConnection</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigurationDB_ERROR_DBNoConnection = -162</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>connection to database does not exist </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwConfigurationDB__DBAccess_8ctl.html">fwConfigurationDB_DBAccess.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
